wallet_app/routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    if(auth()->user()){
        return redirect('/home');
    }
    return view('landing');
});
Auth::routes();


Route::get('/{any}', 'NavigationController@index')->where('any', '.*');

Route::view('/layout', 'layouts.layout');



//-----  Navigation routes start

//Route for dashboard
Route::get('/home', 'NavigationController@index')->name('home');

Route::resource('money', 'MoneyController');
Route::get('/money/1/send', 'MoneyController@edit');

//Route::get('/send/money', '');

wallet_app/app/Money.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Money extends Model
{
    //
}

wallet_app/app/Http/Controllers/MoneyController.php
<?php

namespace App\Http\Controllers;

use App\User;
use App\Money;
use App\Navigation;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;


class MoneyController extends Controller
{




    public function test(){
        return ['succes' => true];
    }



    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $navigations = Navigation::all();
        $currentBalance = \App\User::where('id', Auth::user()->id)->value('balance');


        $money = Money::where('sentBy', auth()->user()->id)->orWhere('receivedBy', auth()->user()->id)->latest()->get();

        //dd($m);
        return $money;
        //return view('money.index', compact('money', 'navigations', 'currentBalance'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $navigations = Navigation::all();
        $currentBalance = \App\User::where('id', auth()->user()->id)->value('balance');
        return view('money.create', compact('navigations','currentBalance'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //dd($request->all());

        $validatedData = [];
        $validatedData = \request()->validate([
            'amount' => 'required| numeric|max: 10000| min:1',
        ]);

       $admin = User::where('isAdmin', 1)->get();  //todo fetch only 1 admin
        //dd($admin);

        $curr_user = Auth::user();

        $money = new Money();
        $money->amount = $validatedData['amount'];
        $money->sentBy = User::where('isAdmin', 1)->value('id');
        $money->receivedBy = $curr_user->id;

        $admin->first()->balance = $admin->first()->balance - $validatedData['amount'];
        $admin->first()->save();
        $curr_user->balance = $curr_user->balance + $validatedData['amount'];
        $curr_user->save();


        $money->save();
        return ["success"=> 'Successfully added'];

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Money  $money
     * @return \Illuminate\Http\Response
     */
    public function show(Money $money)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Money  $money
     * @return \Illuminate\Http\Response
     */
    public function edit(Money $money)
    {

        $navigations = Navigation::all();
        $currentBalance = \App\User::where('id', auth()->user()->id)->value('balance');
        $currUser = auth()->user()->id;

        $users = \App\User::where('isAdmin','==', false)->where('id','!=', $currUser)->get();

        return $users;
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Money  $money
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Money $money)
    {
        $validatedData = \request()->validate([
            'userID' => 'required',
            'amount'=> 'required| numeric|max: 10000| min:1',
        ]);

        $receiver = User::find($validatedData['userID']);
        $sender = auth()->user();

        $receiver->balance = $receiver->balance + $validatedData['amount'];
        $sender->balance = $sender->balance - $validatedData['amount'];
        $receiver->save();
        $sender->save();

        $money = new Money();
        $money->amount = $validatedData['amount'];
        $money->sentBy = $sender->id;
        $money->receivedBy = $receiver->id;
        $money->save();
        return ['success'=> 'Successfully approved'];



    }


    public function getCurrentbalance(){
        return \auth()->user()->balance;

    }


    public function getTotalTxns(){
//        $currUser = \auth()->user()->id;
//        return count(Money::where('sentBy', $currUser)->orWhere('receivedBy'))
        return count($this->index());
    }


    public function deny(){

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Money  $money
     * @return \Illuminate\Http\Response
     */
    public function destroy(Money $money)
    {
        //
    }
}

wallet_app/resources/views/money/create.blade.php
@extends('layouts.layout')


@section('content')

        <!-- left column -->
<div class="col-md-6">

<div class="card card-primary">
    <div class="card-header">
        <h3 class="card-title">Add Money</h3>
    </div>
    <!-- /.card-header -->
    <!-- form start -->
    <form action="{{route('money.store')}}" method="POST">
    @csrf
        <div class="card-body">
            <div class="form-group">
                <label for="exampleInputEmail1">Enter Amount</label>
                <input type="text" class="form-control" id="amount" placeholder="Enter amount" name="amount">
                @error('amount')
                <p class="text-danger">{{$message}}</p>
                @enderror
            </div>

        <!-- /.card-body -->
        <div class="card-footer">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </form>
</div>
</div>
</div>

             <!-- /.card -->
@endsection

wallet_app/resources/views/money/edit.blade.php
@extends('layouts.layout')

@section('content')


    <div class="col-md-6">

        <div class="card card-primary">
            <div class="card-header">s
                <h3 class="card-title">Add Money</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form action="{{route('money.update', Auth::user())}}" method="POST">

                @csrf
                @method('PUT')
                <div class="card-body">

                    <!-- select -->
                    <div class="form-group">
                        <label>Select User</label>
                        <select class="form-control" name="user">
                            @forelse($users as $user)
                                <option value="{{$user->id}}">{{$user->name}}</option>
                            @empty
                                <p>No other users available</p>
                            @endforelse
                        </select>
                    </div>


                        <div class="form-group">
                        <label for="exampleInputEmail1">Enter Amount</label>
                        <input type="text" class="form-control" id="amount" placeholder="Enter amount" name="amount">
                        @error('amount')
                        <p class="text-danger">{{$message}}</p>
                        @enderror
                    </div>

                    <!-- /.card-body -->
                    <div class="card-footer">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
            </form>
        </div>
    </div>
    </div>

@endsection

wallet_app/resources/views/money/index.blade.php
@extends('layouts.layout')


@section('content')
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">My Transactions</h3>

                <div class="card-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control float-right" placeholder="Search">

                        <div class="input-group-append">
                            <button type="submit" class="btn btn-default"><i class="fas fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body table-responsive p-0" style="height: 300px;">
                <table class="table table-head-fixed text-nowrap">
                    <thead>
                    <tr>
                        <th>S No</th>
                        <th>Amount</th>
                        <th>Sent to</th>
                        <th>Received By</th>
                        <th>Transaction Id</th>
                        <th>Date</th>
                    </tr>
                    </thead>
                    <tbody>
                    @php
                    $c=1;
                    @endphp
                    @forelse($money as $m)
                        <tr>
                        <td>@php $c++ @endphp</td>
                        <td>{{$m->amount}}</td>
                        <td>{{$m->sentBy}}</td>
                        <td>{{$m->receivedBy}}</td>
                        <td>{{$m->id}}</td>
                        <td>{{$m->created_at}}</td>

                        </tr>
                        @empty
                        <tr>No transactions available</tr>
                        @endforelse

                    </tbody>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>


@endsection